rio_read_config_16
Prev | Functions | Next

## Name

rio_read_config_16 — Read 16 bits from configuration space

## Synopsis

`int rio_read_config_16 (` | struct rio_dev * | rdev,
| u32 | offset,
| u16 * | data`)`;

## Arguments

`rdev`

  RIO device

`offset`

  Offset into device configuration space

`data`

  Pointer to read data into

## Description

Reads 16 bits of data from the specified offset within the RIO device's configuration space.

Prev | Up | Next
rio_write_config_32 | Home | rio_write_config_16